unit vibor;

interface
uses stdCtrls, SysUtils;

Type
fun=function(x:extended):extended;

 procedure Tabl(f:fun;xn,xk:extended; m:word; mem1:Tmemo);

implementation
Procedure Tabl;
var:x,y,k:extended;
i:integer;

begin
x:=xn;
k:=(xn-xk)/m;
 for i:=1 to m+1 do begin
 y:=f(x);
 Mem1.Lines.add ('X='+floattostrf(x,fffixed,8,3)+ 'y='+floattostrf(y,fffixed,8,3));
 x:=x+k;
 end;
 end;

end.
